import { r as registerInstance, B as Build, h } from './index-26447f8a.js';

const appAppointmentCss = "";

const AppAppointment = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.appointmentId = undefined;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/appointments" }, "Appointments"))),
      h("floodteam-navigation-footer", null),
    ];
  }
};
AppAppointment.style = appAppointmentCss;

export { AppAppointment as app_appointment };
